CommonApiVersion 1.1.0
Apply For Revoke Order
PUT
https://pay.globepay.co/api/v1.0/gateway/partners/{partner_code}/orders/{order_id}/revoke已支付的订单无法撤销,撤销后订单无法重新创建
Header
| Field | Description |
|---|---|
Accept | application/json |
Content-Type | application/json |
Path Variable
| Field | Type | Description |
|---|---|---|
partner_code | String | 必填,商户编码,由4-6位大写字母或数字构成 |
order_id | String | 必填,商户支付订单号 |
Query Params
| Field | Type | Description |
|---|---|---|
time | Long | Required, UTC timestamp in milliseconds |
nonce_str | String | Required, Random string |
sign | String | Required, Sign |
Success 200
| Field | Type | Description |
|---|---|---|
return_code | String | 执行结果 |
status | String |
|
order_id | String | GlobePay订单号 |
client_order_id | String | 商户订单号 |
partner_code | String | GlobePay商户编码 |
create_time | String | 撤销时间 |
Error Code
| Name | Description |
|---|---|
ORDER_NOT_EXIST | 订单不存在 |
ORDER_MISMATCH | 订单号与商户不匹配 |
SYSTEMERROR | Exception inside system |
INVALID_SHORT_ID | Partner code is invalid or there is no partner associated with this code |
SIGN_TIMEOUT | Sign expired, the difference between time and the server time is more than 5 minutes |
INVALID_SIGN | Invalid sign |
PARAM_INVALID | Parameters are invalid. See return_msg for more details. |
NOT_PERMITTED | Gateway payment permission has not been enabled for this partner |
INVALID_CHANNEL | Channel name is not available, check the Capitalize |
ERROR
| Name | Description |
|---|---|
return_code | Error Code |
return_msg | Error Description |
